<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;

class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $datas = User::orderBy('created_at','desc');
        if(request()->has('q')){
            $datas= $datas->where('name','like','%'.request()->q.'%')->orWhere('no_hp','like','%'.request()->q.'%');;
        }
        $datas = $datas->simplePaginate(10);
        return view('user.index',compact('datas'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('user.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $user = User::create([
            'name' => $request->name,
            'no_hp' => $request->no_hp,
            'password' => bcrypt($request->password)
        ]);
        return redirect()->route('user.index')->with('success','Data berhasil disimpan');
    }

    /**
     * Display the specified resource.
     */
    public function show(User $user)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(User $user)
    {
        return view('user.edit',compact('user'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, User $user)
    {   
        $input = [
            'name' => $request->name,
            'no_hp' => $request->no_hp,
        ];

        if($request->has('password_baru') && $request->password_baru != ""){
            $input['password'] = bcrypt($request->password_baru);
        }
        $user->update($input);
        return redirect()->route('user.index')->with('success','Data berhasil disimpan');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(User $user)
    {
        //
    }
}
